// Die Standardbeispiele werden mit
//   baue_standard_bsp(
//     double** Laufzeiten (Feld der Größe m*n, Speicher muß schon
//              reserviert sein),
//     int      Prozessorenanzahl,
//     graph*   Modulabhängigkeitsgraph (muß initialisiert sein)
//     char*    Filename Eingabedatei );
//
// Fehler: 1->zu wenig Speicher
//         2->konnte Ergebnisdatei nicht anlegen
//         3->nicht genug Einträge im Listenfeld / Fehler in Datei
//         4->konnte Eingabedatei nicht finden

#ifdef GRAPHEN
#include "../prgx/graphen.h"
#endif

#ifdef DGRAPHEN
#include "../prgx/dgraphen.h"
#endif

int baue_standard_bsp( double** laufz, int n, graph* gr, char* fn );

// bestimmt die Größe eines Standardbeispiels
// Fehler: 1->Standarddatei nicht gefunden
//         2->Standarddatei fehlerhaft
int bsp_groesse( int* m, int* na, int* ne, char* fn );
