#ifndef CONVERT_OP

#define CONVERT_OP

// berechnet den Wert erg eines Strings a mit
// Rechenoperationen und Klammern
// (ganzzahlige Division, Subtraktion mit Minimum 0)
// Minimumsuche mittels {a;b;c} und abrunden durch [x]
// (x wird dann als double interpretiert)
// Variablen werden nur am ersten Buchstaben erkannt;
// Unterscheidung von groß/klein
// in var_wert[i] steht der Wert der Variable var_name[i]
// Fehler: 1->Syntaxfehler
//         2->Variable unbekannt
int convert_string2int_var(
  char* a,
  char* var_name,
  int*  var_wert,
  int*  erg );

// berechnet den Wert erg eines Strings a mit
// Rechenoperationen und Klammern (Variablen als int)
// Minimumsuche mittels {a;b;c} und abrunden durch [x]
// Variablen werden nur am ersten Buchstaben erkannt;
// Unterscheidung von groß/klein
// in var_wert[i] steht der Wert der Variable var_name[i]
// Fehler: 1->Syntaxfehler
//         2->Variable unbekannt
int convert_string2double_varint(
  char*   a,
  char*   var_name,
  int*    var_wert,
  double* erg );

#endif
