// speichert Zahlen, dabei wird immer die gleiche Anzahl
// an Stellen in der Datei belegt (double = 22; in = 10)

#ifndef SAVE_OP

#define SAVE_OP

#include <stdio.h>

// speichert den int in die angegebene Datei
// ohne abschließendes '\n'
// Fehler: 1->Schreibvorgang negativ
int save_int( FILE* *fi, int a );

// speichert den int in die angegebene Datei
// mit abschließenden '\n'
// Fehler: 1->Schreibvorgang negativ
int save_int_r( FILE* *fi, int a );

// speichert den int in die angegebene Datei
// mit abschließenden ' '
// Fehler: 1->Schreibvorgang negativ
int save_int_s( FILE* *fi, int a );

// speichert einen double in die angegebene Datei
// ohne abschließendes '\n'
// Fehler: 1->Schreibvorgang negativ
int save_double( FILE* *fi, double a );

// speichert einen double in die angegebene Datei
// mit abschließenden '\n'
// Fehler: 1->Schreibvorgang negativ
int save_double_r( FILE* *fi, double a );

// speichert einen double in die angegebene Datei
// mit abschließenden ' '
// Fehler: 1->Schreibvorgang negativ
int save_double_s( FILE* *fi, double a );

// speichert den in a übergebenen Text;
// das letzte Zeichen von a muß '\0' sein!
// Fehler: 1->Schreibvorgang nicht erfolgreich
int save_text( FILE* *fi, char* a );

// speichert ein '\n'
// Fehler: 1->Schreibvorgang nicht erfolgreich
int save_ret( FILE* *fi );

#endif
